GET api/Report/GetItemWiseQuantityListReport?distId={distId}&sDate={sDate}&eDate={eDate}&ItemId={ItemId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
distId

integer

Required

sDate

date

Required

eDate

date

Required

ItemId

integer

Required

Body Parameters

None.

Response Information

Resource Description

Collection of ItemWiseQuantityReport
NameDescriptionTypeAdditional information
TpoNo

string

None.

FpoNo

string

None.

DistributorName

string

None.

DistributorType

string

None.

ItemName

string

None.

ChallanNo

string

None.

InvoiceNo

string

None.

TPOQuantity

integer

None.

FPOQuantity

integer

None.

FPODevQty

integer

None.

ChallanQuantity

integer

None.

ChallanDevQty

integer

None.

InvoiceQuantity

integer

None.

InvDevQty

integer

None.

DispatchQuantity

integer

None.

DisDevQty

integer

None.

RejectedQuantity

integer

None.

TotDevQty

integer

None.

TotalQty

integer

None.

AcceptQty

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "tpoNo": "sample string 1",
    "fpoNo": "sample string 2",
    "distributorName": "sample string 3",
    "distributorType": "sample string 4",
    "itemName": "sample string 5",
    "challanNo": "sample string 6",
    "invoiceNo": "sample string 7",
    "tpoQuantity": 8,
    "fpoQuantity": 9,
    "fpoDevQty": 10,
    "challanQuantity": 11,
    "challanDevQty": 12,
    "invoiceQuantity": 13,
    "invDevQty": 14,
    "dispatchQuantity": 15,
    "disDevQty": 16,
    "rejectedQuantity": 17,
    "totDevQty": 18,
    "totalQty": 19,
    "acceptQty": 20
  },
  {
    "tpoNo": "sample string 1",
    "fpoNo": "sample string 2",
    "distributorName": "sample string 3",
    "distributorType": "sample string 4",
    "itemName": "sample string 5",
    "challanNo": "sample string 6",
    "invoiceNo": "sample string 7",
    "tpoQuantity": 8,
    "fpoQuantity": 9,
    "fpoDevQty": 10,
    "challanQuantity": 11,
    "challanDevQty": 12,
    "invoiceQuantity": 13,
    "invDevQty": 14,
    "dispatchQuantity": 15,
    "disDevQty": 16,
    "rejectedQuantity": 17,
    "totDevQty": 18,
    "totalQty": 19,
    "acceptQty": 20
  }
]

application/xml, text/xml

Sample:
<ArrayOfItemWiseQuantityReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <ItemWiseQuantityReport>
    <AcceptQty>20</AcceptQty>
    <ChallanDevQty>12</ChallanDevQty>
    <ChallanNo>sample string 6</ChallanNo>
    <ChallanQuantity>11</ChallanQuantity>
    <DisDevQty>16</DisDevQty>
    <DispatchQuantity>15</DispatchQuantity>
    <DistributorName>sample string 3</DistributorName>
    <DistributorType>sample string 4</DistributorType>
    <FPODevQty>10</FPODevQty>
    <FPOQuantity>9</FPOQuantity>
    <FpoNo>sample string 2</FpoNo>
    <InvDevQty>14</InvDevQty>
    <InvoiceNo>sample string 7</InvoiceNo>
    <InvoiceQuantity>13</InvoiceQuantity>
    <ItemName>sample string 5</ItemName>
    <RejectedQuantity>17</RejectedQuantity>
    <TPOQuantity>8</TPOQuantity>
    <TotDevQty>18</TotDevQty>
    <TotalQty>19</TotalQty>
    <TpoNo>sample string 1</TpoNo>
  </ItemWiseQuantityReport>
  <ItemWiseQuantityReport>
    <AcceptQty>20</AcceptQty>
    <ChallanDevQty>12</ChallanDevQty>
    <ChallanNo>sample string 6</ChallanNo>
    <ChallanQuantity>11</ChallanQuantity>
    <DisDevQty>16</DisDevQty>
    <DispatchQuantity>15</DispatchQuantity>
    <DistributorName>sample string 3</DistributorName>
    <DistributorType>sample string 4</DistributorType>
    <FPODevQty>10</FPODevQty>
    <FPOQuantity>9</FPOQuantity>
    <FpoNo>sample string 2</FpoNo>
    <InvDevQty>14</InvDevQty>
    <InvoiceNo>sample string 7</InvoiceNo>
    <InvoiceQuantity>13</InvoiceQuantity>
    <ItemName>sample string 5</ItemName>
    <RejectedQuantity>17</RejectedQuantity>
    <TPOQuantity>8</TPOQuantity>
    <TotDevQty>18</TotDevQty>
    <TotalQty>19</TotalQty>
    <TpoNo>sample string 1</TpoNo>
  </ItemWiseQuantityReport>
</ArrayOfItemWiseQuantityReport>